Package ru.bitel.bgbilling.modules.inet.server.bean

# Class InetDeviceDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<InetDevice>
ru.bitel.common.dao.AbstractIdDao<InetDevice>
ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao<InetDevice>
ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao<InetDevice>
ru.bitel.bgbilling.modules.inet.server.bean.InetDeviceDao

All Implemented Interfaces:
  `AutoCloseable`

public class InetDeviceDao extends AbstractEntityDao<InetDevice>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `AbstractEntityAttrDao.AddressItemModifiedEventListener`

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Directory<? extends EntitySpec>`
  `entitySpecDirectory`

  ### Fields inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `CONTRACT_OBJECT_SUPPORT, CONTRACT_SUPPORT, ENTITY_SUPPORT, entitySpecAttrDirectory, entityTableSuffix, filterWeightComparator, userId`

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetDeviceDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `checkTables(Connection con, int moduleId, Date initialDate)`
  `void`
  `close()`
  `int`
  `delete(int id)`
  `InetDevice`
  `get(int id)`
  `Directory<? extends EntitySpec>`
  `getEntitySpecDirectory()`
  `protected InetDevice`
  `getFromRSImpl(ResultSet rs)`
  `List<InetDevice>`
  `inetDeviceList()`
  `List<InetDevice>`
  `inetDeviceList(int deviceTypeId)`
  `List<InetDevice>`
  `listByInvDeviceId(int id)`
  `List<InetDevice>`
  `listSource()`
  `void`
  `move(int newParentId, Set<Integer> children)`
  `InetDevice`
  `node(List<FilterEntityAttr> entityFilter, int deviceId, boolean loadDeviceGroupIds)`
  `boolean`
  `reorder(int srcDeviceId, int parentDeviceId, int pos)`
  `InetDevice`
  `root(DeviceTreeFilter deviceTreeFilter, boolean loadAncestors)`
  `InetDevice`
  `rootSource()`
  `protected void`
  `updateImpl(InetDevice inetDevice)`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao

  `getFromRS, getFromRS, linkEntity, list, list, listImpl, unlinkEntity, update`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

  `checkEntityAttribute, checkEntitySpecAttrDelete, deleteEntityAttribute, deleteEntityAttributes, filterInit, filterJoin, filterToPS, getAllEntityAttributes, getAttribute, getEntityAttribute, getEntityAttributes, getEntityAttributes, getEntitySpecAttrDirectory, getEntityTableName, getEntityTableSuffix, getEntityValueForIds, listImpl, onAddressItemUpdate, optEntityAttribute, updateEntityAttribute, updateEntityAttributes`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `executeUpdate, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, queryAndIn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### entitySpecDirectory

    protected Directory<? extends EntitySpec> entitySpecDirectory

- ## Constructor Details

  - ### InetDeviceDao

    public InetDeviceDao(Connection con, int moduleId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

- ## Method Details

  - ### root

    public InetDevice root(DeviceTreeFilter deviceTreeFilter, boolean loadAncestors) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### node

    public InetDevice node(List<FilterEntityAttr> entityFilter, int deviceId, boolean loadDeviceGroupIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    public InetDevice get(int id) throws ru.bitel.bgbilling.common.BGException
    Overrides:
      `get` in class `ru.bitel.common.dao.AbstractIdDao<InetDevice>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getEntitySpecDirectory

    public Directory<? extends EntitySpec> getEntitySpecDirectory() throws ru.bitel.bgbilling.common.BGException
    Overrides:
      `getEntitySpecDirectory` in class `AbstractEntityAttrDao<InetDevice>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### move

    public void move(int newParentId, Set<Integer> children) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### delete

    public int delete(int id) throws ru.bitel.bgbilling.common.BGException
    Overrides:
      `delete` in class `AbstractEntityDao<InetDevice>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### close

    public void close() throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `close` in interface `AutoCloseable`
    Overrides:
      `close` in class `ru.bitel.common.dao.AbstractDao<InetDevice>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### rootSource

    public InetDevice rootSource() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listSource

    public List<InetDevice> listSource() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listByInvDeviceId

    public List<InetDevice> listByInvDeviceId(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkTables

    public static void checkTables(Connection con, int moduleId, Date initialDate)

  - ### inetDeviceList

    public List<InetDevice> inetDeviceList(int deviceTypeId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetDeviceList

    public List<InetDevice> inetDeviceList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRSImpl

    protected InetDevice getFromRSImpl(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRSImpl` in class `AbstractEntityDao<InetDevice>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(InetDevice inetDevice) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<InetDevice>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### reorder

    public boolean reorder(int srcDeviceId, int parentDeviceId, int pos) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`